### Method

# ECal Client get_default_object_finish

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_default_object_finish (
      ECalClient* client,
      GAsyncResult* result,
      ICalComponent** out_icalcomp,
      GError** error
    )

#### Description [src]

Finishes previous call of `e_cal_client_get_default_object()` and sets `out_icalcomp` to an `ICalComponent` from the backend that contains the default values for properties needed. This `out_icalcomp` should be freed with g_object_unref(), when no longer needed.

Available since: 3.2

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_icalcomp`

  Type: `None`

  Return value for the default calendar object.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.